Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004797TestLinkTest Specificationpublic2011-11-06 14:462013-08-15 15:34
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0004797: Test case step reuse
DescriptionAfter testing Test Collab (www.testcollab.com), choose to copy their logic to reuse test step.
Idea is similar to note (0015339), but firts implementation will be Bare Bones => user will have to know what he want to add, without fancy choices.

following string has to be written on step:

[ghost]"Step":STEPNUMBER,"TestCase":FULL EXTERNAL TEST CASE ID,"Version":Version number[/ghost]

During rendering content of this step will be replace with target step.

Example:
Test project name = 'Test Issue 555'
Test Case Prefix = 'DXI'
You create Test Case 'DXI-1' with 3 steps
Then you Create 'DXI-2' and want step 2 be same as STEP 1 of DXI-1
You create Step 2 and writte
[ghost]"Step":1,"TestCase":"DXI-1","Version":1[/ghost]

IMPORTATE NOTICE
Test Case External ID MUST BE enclosed bewteen "
TagsNo tags attached.
Database (MySQL,Postgres,etc)ANY
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0004637closedfman Copy of test steps 

-  Notes
(0015962)
fman (administrator)
2011-11-06 15:15
edited on: 2011-11-06 15:22

1.9.x fix
http://gitorious.org/testlink-ga/testlink-code/commit/b6c75b634dc96235d2c6e6e51668f33fdab79f53 [^]

Master
http://gitorious.org/testlink-ga/testlink-code/commit/1eb6fb0647be03b95b0c4cd8f098cd5c5000124f [^]

(0015963)
fman (administrator)
2011-11-06 15:15

Reminder sent to: Julian

Just cooked !

- Issue History
Date Modified Username Field Change
2011-11-06 14:46 fman New Issue
2011-11-06 14:46 fman Issue generated from: 0004637
2011-11-06 14:46 fman Relationship added related to 0004637
2011-11-06 14:46 fman Description Updated View Revisions
2011-11-06 15:15 fman Note Added: 0015962
2011-11-06 15:15 fman Note Added: 0015963
2011-11-06 15:22 fman Note Edited: 0015962 View Revisions
2011-11-06 15:22 fman Assigned To => fman
2011-11-06 15:22 fman Status new => assigned
2011-11-06 15:23 fman Status assigned => resolved
2011-11-06 15:23 fman Fixed in Version => 2.0 (planned)
2011-11-06 15:23 fman Resolution open => fixed
2013-05-30 19:45 fman Status resolved => closed
2013-08-15 15:34 fman QA Team - Task Workflow Status => TBD
2013-08-15 15:34 fman Fixed in Version 2.0 (planned) => 1.9.6 (2013 Q1 - bug fixing)



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker